Subject: Re: bug#58438: 29.0.50; EXWM focus lost

From: Manuel Giraud <[email-masked]>
Date: Wed, 12 Oct 2022 09:08:33 +0200

Po Lu <[email-masked]> writes:

> forcemerge 58438 58245
> thanks
>
> Manuel Giraud <[email-masked]> writes:
>
>> Hi,
>>
>> I'm using EXWM.  Since this patch 3924fbd025, whenever I'm starting an
>> external graphical program (eg. Firefox), the cursor will stay hollow in
>> other Emacs buffers even when I switch to them.
>>
>> Do you think that EXWM is at fault here regarding EWMH?
>
> Yes; it must either set `x-no-window-manager' to a non-nil value, stop
> announcing support for _NET_ACTIVE_WINDOW, or implement said property
> correctly.  At present, it assumes Emacs itself will never rely on said
> property to activate its frames, which is no longer true in Emacs 29.

Thanks for looking into this and for the detailed explanation.  I'm
going to try to make it into EXWM but it won't be easy because if I'm
not mistaken there is currently no maintainer :(
-- 
Manuel Giraud